/*
 * Docs Dispatcher API - API document(s) generation
 * Docs.io API enables you to generate files (currently DOCx, XLSx, PPTx, PDF, HTML, JPG/PNG/SVG) from a template and JSON data. You can just download resulting file, send email with generated attachments or compose services.
 *
 * The version of the OpenAPI document: 3.1.1
 * Contact: tech@docs-dispatcher.io
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package io.docs_dispatcher.client.model;

import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.docs_dispatcher.client.model.Types;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

/**
 * Model tests for ConfigurationSchema
 */
public class ConfigurationSchemaTest {
    private final ConfigurationSchema model = new ConfigurationSchema();

    /**
     * Model tests for ConfigurationSchema
     */
    @Test
    public void testConfigurationSchema() {
        // TODO: test ConfigurationSchema
    }

    /**
     * Test the property '$schema'
     */
    @Test
    public void $schemaTest() {
        // TODO: test $schema
    }

    /**
     * Test the property 'title'
     */
    @Test
    public void titleTest() {
        // TODO: test title
    }

    /**
     * Test the property 'type'
     */
    @Test
    public void typeTest() {
        // TODO: test type
    }

    /**
     * Test the property 'additionalProperties'
     */
    @Test
    public void additionalPropertiesTest() {
        // TODO: test additionalProperties
    }

    /**
     * Test the property 'description'
     */
    @Test
    public void descriptionTest() {
        // TODO: test description
    }

    /**
     * Test the property 'properties'
     */
    @Test
    public void propertiesTest() {
        // TODO: test properties
    }

    /**
     * Test the property 'required'
     */
    @Test
    public void requiredTest() {
        // TODO: test required
    }

    /**
     * Test the property 'configType'
     */
    @Test
    public void configTypeTest() {
        // TODO: test configType
    }

    /**
     * Test the property 'providerName'
     */
    @Test
    public void providerNameTest() {
        // TODO: test providerName
    }

}
